Function
replace
Replaces a part of a container with another container.
replace(target, pos_begin, pos_end, source [, limit] [,resize_tag])
Include Headers
seqan/sequence.h
Parameters

target | A container that is modified. Types: char array, Segment, std::basic_string, std::vector, String
source | A container that is inserted into target. Types: char array, Segment, std::basic_string, std::vector, String Remarks: The function does not modify this container.
pos_begin | Begin of replaced area. The first position in target of the area that is replaced by source.
pos_end | End of replaced area. The position behind the last position in target of the area that is replaced by source.
limit | The maximal length of target after the operation. (optional)
resize_tag | Specifies the strategy that is applied if target has not enough capacity to store the complete content. (optional) Types: Overflow Strategy Default: Specified by DefaultOverflowImplicit of the target type.

Remarks
If target is a Segment object, then limit denotes the maximal length of host(target) after the operation.
Some compilers have difficulties if pos_begin and pos_end are both 0, since 0 can be both a position or an iterator. The workaround is to convert at least one of these arguments explicite to the position or to the interator type.
Part of Concept
Container
See Also
assign, append
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48